Impossible d'installer packages sur visual studio code

Signaler
Messages postés
4
Date d'inscription
samedi 19 décembre 2020
Statut
Membre
Dernière intervention
10 janvier 2021
-
Messages postés
4
Date d'inscription
samedi 19 décembre 2020
Statut
Membre
Dernière intervention
10 janvier 2021
-
Bonjour j'ai installer VS Code et j'ai installer l'extension python mais en voulant utilisé la bibliothèque PIL sa m' mis que le module n'existait pas j'ai donc voulu installer pylint en l'installant un message d'erreur est arrivé disant "'WARNING: You are using pip version 20.2.3; however, version 20.3.3 is available.
You should consider upgrading via the 'C:\Users\hédi\AppData\Local\Programs\Python\Python39\python.exe -m pip install --upgrade pip' command.'"
Je voudrais donc savoir comment faire pour installer pylint
merco

2 réponses

Messages postés
30939
Date d'inscription
mercredi 22 octobre 2003
Statut
Modérateur
Dernière intervention
10 janvier 2021
3 165
Bonjour,

Je ne fais pas de python... mais :
- C'est un message d'avertissement ( warning ).. pas d'erreur.
- Le message indique que tu disposes de la version 20.2.3 installée ... et qu'il existe une version plus récente : la version 20.3.3...
Et donc, il te dit qu'il faut exécuter ( en ligne de commande dans un terminal), la ligne

C:\Users\hédi\AppData\Local\Programs\Python\Python39\python.exe -m pip install --upgrade pip


.. ah la la... on ne pourra jamais dire assez que d'avoir un minimum de connaissances en anglais est quasiment (voir totalement...) un pré-requis pour se lancer dans la programmation....


Messages postés
4
Date d'inscription
samedi 19 décembre 2020
Statut
Membre
Dernière intervention
10 janvier 2021

Merci de ta réponse ça a belle est bien marché mais lorsque que je veux installé pylint ça me renvoie toujours un messages d'erreur assez conséquent